Package com.independentsoft.graph

# Class Website

java.lang.Object
com.independentsoft.graph.Website

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class Website extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Website()`
  `Website​(JsonObject jsonObject)`
  `Website​(String address)`
  `Website​(String address, String displayName)`
  `Website​(String address, String displayName, WebsiteType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `String`
  `getDisplayName()`
  `WebsiteType`
  `geType()`
  `void`
  `setAddress​(String address)`
  `void`
  `setDisplayName​(String displayName)`
  `void`
  `setType​(WebsiteType type)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toString()`
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Website

    public Website()

  - ### Website

    public Website​(String address)

  - ### Website

    public Website​(String address, String displayName)

  - ### Website

    public Website​(String address, String displayName, WebsiteType type)

  - ### Website

    public Website​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAddress

    public String getAddress()

  - ### setAddress

    public void setAddress​(String address)

  - ### getDisplayName

    public String getDisplayName()

  - ### setDisplayName

    public void setDisplayName​(String displayName)

  - ### geType

    public WebsiteType geType()

  - ### setType

    public void setType​(WebsiteType type)